com.orsoncharts.legend

## Interface LegendItemInfo

- All Known Implementing Classes:
    StandardLegendItemInfo

      public interface LegendItemInfo

  Information about an item (typically a data series) that can be displayed in a legend. All plots will return a list of these, to be used in the construction of a chart legend, via the `Plot3D.getLegendInfo()` method.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `getColor()` Returns the color used to represent a series.
    `java.lang.String` | `getDescription()` Returns a longer description of the series (this could be used in tooltips, for example).
    `java.lang.String` | `getLabel()` Returns the series label that will be displayed in the legend.
    `java.util.Map<java.lang.Comparable<?>,java.lang.Object>` | `getProperties()` A map containing other properties for the legend item.
    `java.lang.Comparable<?>` | `getSeriesKey()` Returns the series key.
    `java.awt.Shape` | `getShape()` Returns the shape used to represent the series in the legend.

- - ### Method Detail

    - #### getSeriesKey

          java.lang.Comparable<?> getSeriesKey()

      Returns the series key.
      Returns:
        The series key (never `null`).

    - #### getLabel

          java.lang.String getLabel()

      Returns the series label that will be displayed in the legend. Very often this is the same as `getSeriesKey().toString()`, but here we have the option to provide some alternative text.
      Returns:
        The label (never `null`).

    - #### getDescription

          java.lang.String getDescription()

      Returns a longer description of the series (this could be used in tooltips, for example).
      Returns:
        The description (possibly `null`).

    - #### getShape

          java.awt.Shape getShape()

      Returns the shape used to represent the series in the legend. This may be `null`, in which case the legend builder should use a default shape.
      Returns:
        The shape (possibly `null`).

    - #### getColor

          java.awt.Color getColor()

      Returns the color used to represent a series.
      Returns:
        The color (never `null`).

    - #### getProperties

          java.util.Map<java.lang.Comparable<?>,java.lang.Object> getProperties()

      A map containing other properties for the legend item. Not currently used, but available for future expansion.
      Returns:
        A map (never `null`).